Method: projects.locations.brands.configApplicationRules.create

Creates a ConfigApplicationRule.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/configApplicationRules

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of config application rules. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
configApplicationRuleId

string

Optional. The ID to use for the config application rule, which will become the final component of the config application rule's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of ConfigApplicationRule.

Response body

If successful, the response body contains a newly created instance of ConfigApplicationRule.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.